package screen

import (
	"bitbucket.org/hevanto/ui/uilayout"
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/container"
)

func applyMargins(
	e *Element,
	obj fyne.CanvasObject,
) (
	margin fyne.CanvasObject,
) {
	margin = obj
	if e.Margins.HasMargins() {
		margin = container.New(uilayout.NewMargin(
			e.Margins.Top,
			e.Margins.Bottom,
			e.Margins.Left,
			e.Margins.Right,
		), obj)
	}
	return
}
